package com.zipcoder.payment;

public class Check implements Payment{
    long id;
    String payerName;
    String routingNumber;
    String accountNumber;

    public Check(long id, String payerName, String routingNumber, String accountNumber) {
        this.id = id;
        this.payerName = payerName;
        this.routingNumber = routingNumber;
        this.accountNumber = accountNumber;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getId(){
        return id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getPayerName(){
        return payerName;
    }

    public String getRoutingNumber() {
        return routingNumber;
    }

    public void setRoutingNumber(String routingNumber) {
        this.routingNumber = routingNumber;
    }

    public String getAccountNumber() {
        return accountNumber;
    }

    public void setAccountNumber(String accountNumber) {
        this.accountNumber = accountNumber;
    }

    public String getShortDescrption(){
        String num = accountNumber.substring(accountNumber.length()-4);

        return "Check " + payerName + " ***"+ num;
    }

    @Override
    public int compareTo(Payment o) {
        return this.getShortDescrption().compareTo(o.getShortDescrption());
    }

}
