package com.zipcoder.payment;

public class CreditCard implements Payment{

    long id;
    String payerName;
    String number;
    int expiredMonth;
    int expireYear;

    public CreditCard(long id, String payerName, int expiredMonth, int expireYear) {
        this.id = id;
        this.payerName = payerName;
        this.expiredMonth = expiredMonth;
        this.expireYear = expireYear;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getId(){
       return id ;
    }
    public String getPayerName(){
        return payerName;
    }

    public void setPayerName(String name) {
        this.payerName = name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public int getExpiredMonth() {
        return expiredMonth;
    }

    public void setExpiredMonth(int expiredMonth) {
        this.expiredMonth = expiredMonth;
    }

    public int getExpireYear() {
        return expireYear;
    }

    public void setExpireYear(int expireYear) {
        this.expireYear = expireYear;
    }

    public String getShortDescrption(){
        String num = number.substring(number.length()-4);
        return "CC " + payerName + " "+ num+" "+expiredMonth+"/"+expireYear;
    }


    @Override
    public int compareTo(Payment o) {
        return this.getShortDescrption().compareTo(o.getShortDescrption());
    }
}
