package com.zipcoder.payment;

public class PayPal implements Payment {

    long id;
    String payerName;
    String email;

    public PayPal(long id, String payerName, String email) {
        this.id = id;
        this.payerName = payerName;
        this.email = email;
    }

    @Override
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Override
    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    @Override
    public String getShortDescrption(){
        return "PayPal "+ payerName + " "+ email;
    }

    @Override
    public int compareTo(Payment o) {
        return this.getShortDescrption().compareTo(o.getShortDescrption());
    }


}
