package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class CreditCardTest {

    CreditCard card;
    @Before
    public void CheckTest(){
        card = new CreditCard(1234, "Roy", 6, 22);
    }

    @Test
    public void getExpireYear(){
        int actual = 22;
        int expected = card.expireYear;
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void getExprireMonthTest(){
        int actual = 6;
        int expected = card.expiredMonth;
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void getShortDescriptiotest(){
        card.setNumber("1234567890");
        String actual = "CC Roy 7890 6/22";
        String expected = card.getShortDescrption();
        Assert.assertEquals(expected, actual);
    }
}
