package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class PayPalTest {

    PayPal payPal;
    @Before
    public void payPayTes(){
        payPal = new PayPal(12345, "Roy", "wjievenjie@ymail.com");
    }

    @Test
    public void getEmailTest(){
        String actual = "wjievenjie@ymail.com";
        String expected = payPal.getEmail();
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void getShortDescriptiotest(){
        String actual = "PayPal Roy wjievenjie@ymail.com";
        String expected = payPal.getShortDescrption();
        Assert.assertEquals(actual, expected);
    }

    @Test
    public void setNameTest(){
        payPal.setPayerName("Josh");
        String actual = "Josh";
        String expected = payPal.getPayerName();
        Assert.assertEquals(actual, expected);
    }
}
